curl --request POST \
--url https://apix.spotzee.com/api/client/campaigns/{campaignId}/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": {
"external_id": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"device_token": "<string>",
"timezone": "<string>",
"locale": "<string>"
},
"event": {}
}
'{
"success": true
}Fires a trigger-type campaign send for a single contact. The supplied event payload is available to template Handlebars as {{event}}.
curl --request POST \
--url https://apix.spotzee.com/api/client/campaigns/{campaignId}/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": {
"external_id": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"device_token": "<string>",
"timezone": "<string>",
"locale": "<string>"
},
"event": {}
}
'{
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.spotzee.com/llms.txt
Use this file to discover all available pages before exploring further.
Project-scoped secret API key (sk_…). Pass in the Authorization: Bearer <key> header. Grants access to the project the key was issued for.
Numeric campaign identifier.
24
Fire a trigger campaign for a single contact.
Identifies the contact for a trigger campaign send. Additional custom attributes may be included.
The trigger was queued.
Confirmation that the trigger was queued.
Was this page helpful?